Jump to content

Stretch command


DODGE

Recommended Posts

Hi Guys

It's one of those days today.:cry:

I have just been trying the stretch command. I have never used this before today so thought it might be good to learn a bit more.

I have managed to stretch items ok but not accurately. I tried to stretch a simple rectangle 200mm to the right.

I hit the stretch command and make my selection, hit enter then type in 200mm enter, and it goes right off the screen.:shock:

If I drag the rectangle it's fine but not accurate.

This might be another dumb question, but hey you gotta ask.

Dodge.8)

Link to comment
Share on other sites

To stretch your rectangle to the right 200mm (assuming your units are mm)

STRETCH command. Select using Crossing of the right side of the rectangle. Type in @200,0 and it should stretch fine.:)

Link to comment
Share on other sites

Guest Alan Cullen

DODGE....

 

After you make you selection, hit ENTER and then type @200

Use CROSSING to select for stretching, and if you cross the end point of any entity, you will have to deselect that entity before you hit ENTER.

 

See if that works.....:)

 

Cheers

Link to comment
Share on other sites

Yep tried both these.

This is weird.

After I use crossing to select I [email=type@200

The rectangle shoots off to the right at an angle of 12.3º.

I chucked a dimension on it and it's 41m long????

What the?

D

Link to comment
Share on other sites

Guest Alan Cullen

I think you had better check your drawing units (UNITS) and check your direction control (part of the drawing units dialogue box).

 

Also...are you drawing in metres or millimetres? Also check your UCS is set to world. :)

 

EDIT.....also, you don't need to chuck a dimension on it to see how long it is......use the command DIST.

Link to comment
Share on other sites

Guest Alan Cullen

DODGE....

 

Here's a lisp routine to return a distance and bearing......

 

;;---------------------------------------------------------------------------
;; BRGDIST.LSP       
;;===========================================================================
;;DESCRIPTION: RETURN DISTANCE AND BEARING BETWEEN TWO POINTS (INQUIRY)
;;
;;START COMMAND........   DI
;;
;;WRITTEN BY:             ALAN CULLEN           May 2002
;;                        McPherson Maclean Wargon Chapman - CAIRNS
;;
;;
;;---------------------------ERROR HANDLER------------------------------
;;(defun clerr (s)
;;  (if (/= s "Function cancelled")
;;    (if (= s "quit / exit abort")
;;      (princ)
;;      (princ (strcat "\nError: " s))
;;    )
;;  )
;;  (setvar "cmdecho" ocmd)
;;  (if olderr (setq *error* olderr))
;;  (princ "\nERROR...CONSOLE BREAK...PREVIOUS DRAWING STATUS RESTORED...")
;;  (princ)
;
;;-----------------------------MAIN PROGRAM------------------------------
(DEFUN C:DI ()
;;  (setq olderr *error* *error* clerr)        ;;Set new error handler
 (setq ocmd (getvar "CMDECHO"))
 (setvar "CMDECHO" 0)
 (princ "\n****************************************************************************")
 (princ "\n BEARING & DISTANCE INQUIRY - May 2002 - Alan CULLEN")
 (princ)
 (setq pt1 nil)
 (print)
 (setq pt1   (getpoint     "\n Pick required Pts ......Pick 1st Pt ...... "))
;  (while pt1
   (setq pt2 (getpoint pt1 "\n                         Pick 2nd Pt ...... "))
   (setq dist (distance pt1 pt2))
   (setq dist (rtos dist))
   (setq angrad (angle pt1 pt2))
   (setq angdeg (angtos angrad 1 4))
   (princ (strcat "\n Distance = "dist"        Bearing  = "angdeg))
;    (princ (strcat "\n Bearing  = "angdeg))
;    (setq pt1   (getpoint   "\n                   ......Pick 1st Pt ...... "))
;  )
 (setvar "cmdecho" ocmd)
;;  (setq *error* olderr)           ;;Restore old error handler
;  (prompt "\nRoutine terminated by User")
 (princ)
)

Link to comment
Share on other sites

Guest Alan Cullen

Type UCS....you'll get a lot of options on the command line (it should default to WORLD...if it doesn't, just type W......try all that and get back to me.

Link to comment
Share on other sites

Yep Al

It's still doing the same, I can't understand it.

Looks like I will be giving the Autocad bible a bashing tonight.

D

Link to comment
Share on other sites

Guest Alan Cullen

DODGE.....post that drawing up and I'll have a look at it......probably quicker than trying to sort it out by going back and forth here...

Link to comment
Share on other sites

Thanks Al

But I don't really have a drawing I was just playing

around with a rectangle trying to learn stuff while

I had a spare hour.

D

Link to comment
Share on other sites

Guest Alan Cullen

Hmmmm....it sounds like you have a problem with your setup in your template.

 

Check your drawing units again, and set them to the following......

 

Drawing Units

Length

Type.....decimal

precision....1

Angle

Type.....Deg/Min/Sec

Precision.....0d00'00"

Clockwise.....tick

Insertion Scale.....unitless

Direction Control

Base angle....North....tick

 

I know architects use East as 0 degrees and measure angles counter clockwise, however there is no reason why you shouldn't use the cartisian system.....

 

North......0 degrees

East.......90 degrees

South......180 degrees

West........270 degrees

 

Apart from that I really don't know that I can help you without having a look at your drawing template.

Link to comment
Share on other sites

  • 2 months later...

Hi

I have been encountering the same problem as Dodge (only on the STRETCH command though).

For instant a sample 500x500 polyline square I want to stretch it to 500x800 and extend to the right. (I know I can simply draw it but here is for exercise).

1. selected objects by crossing window.

2. specifed bottom left as base point

3. specify second point:

If I pick the bottom left again, press enter – nothing changed

If I pick a new point. Doesn’t matter where, the whole object will move to the second picked point without change of shape.

Please help.

Link to comment
Share on other sites

The secret to stretching is how you select. You must use the crossing window, and any lines wholly in the window will be moved, and any lines half in the window will stretch.

 

When you have selected correctly, and have ORTHO on, then move the mouse in the direction you want to stretch, and enter the distance at the command line. :D

Link to comment
Share on other sites

When you have selected correctly, and have ORTHO on, then move the mouse in the direction you want to stretch, and enter the distance at the command line. :D

 

Yeah this will work, i do it the same way except using polar instead of ortho

Link to comment
Share on other sites

  • 4 years later...

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...